Bug 63256 - fonts.dir problems
fonts.dir problems
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-11 14:57 EDT by Sammy
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-11 14:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2002-04-11 14:57:25 EDT
Version 4.2.0-6.62. Noticed two font issues/problems 
 
1. In the Speedo directory an empty fonts.dir.rpmnew is created. 
 
2. Somehow the rpm still thinks it is touching the local/fonts.dir file. 
    I have local rpms that put fonts.dir into that directory and installing 
    XFree86 rpms show a conflict for that file and need to be forced.
Comment 1 Mike A. Harris 2002-04-13 06:49:54 EDT
I've fixed the first glitch in 4.2.0-6.666.

For the second one however, the font directories are owned by the XFree86
packaging, and the auxilliary fonts.dir and similar files are also owned
by XFree86 packaging despite the fact XFree86 does not itself place files
into these directories.  fonts.dir should _never_ be supplied as a static
file in any package, doing so is a bug.  fonts.dir is a file created post
install by mkfontdir.

Your local RPM's should use mkfontdir in their %post script similar to how
our font packages do.  The fonts.dir file should not be owned by your
packages.

Note You need to log in before you can comment on or make changes to this bug.